VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ITextEditListener Class Referenceabstract
New classes » Version 4.10

Listener for a text edit. More...

`#include <itexteditlistener.h>`

Inheritance diagram for ITextEditListener:

## Public Member Functions
virtual void | onTextEditPlatformControlTookFocus (CTextEdit *textEdit)=0
| called when the native platform text edit control was created and started to listen for keyboard input.
virtual void | onTextEditPlatformControlLostFocus (CTextEdit *textEdit)=0
| called when the natvie platform text edit control is going to be destroyed.

## Detailed Description

Listener for a text edit.

## Member Function Documentation

## ◆ onTextEditPlatformControlLostFocus()

virtual void onTextEditPlatformControlLostFocus | ( | CTextEdit * | textEdit | ) |
| pure virtual

called when the natvie platform text edit control is going to be destroyed.

Implemented in TextEditListenerAdapter.

## ◆ onTextEditPlatformControlTookFocus()

virtual void onTextEditPlatformControlTookFocus | ( | CTextEdit * | textEdit | ) |
| pure virtual

called when the native platform text edit control was created and started to listen for keyboard input.

Implemented in TextEditListenerAdapter.

The documentation for this class was generated from the following file:

- itexteditlistener.h